#!/usr/bin/env python

from setuptools import setup, find_packages

# Copied from: https://github.com/rg3/youtube-dl/blob/master/setup.py
exec(compile(open('src/not_so_tuf/version.py').read(),
             'src/not_so_tuf/version.py', 'exec'))

setup(
    name='not-so-tuf',
    version=__version__,
    description='Simple App update framwork',
    author='Johny Mo Swag',
    author_email='johnymoswag@gmail.com',
    url='not-so-tuf.3ktservices.com',
    download_url=('https://github.com/JohnyMoSwag/Not-So-'
                  'TUF/archive/master.zip'),
    license='MIT',
    install_requires=[
        'boto',
        'bsdiff4',
        'cryptography',
        'paramiko',
        'pycrypto',
        ],
    packages=find_packages('src'),
    package_dir={'': 'src'},
    entry_points={'console_scripts': ['nst-cli = cli:main']},
    classifiers=[
        'Development Status :: 4 - Beta',
        'Operating System :: OS Independent',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 2.7'],
    )
